const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Bombana',
    'Kabupaten Buton',
    'Kabupaten Buton Selatan',
    'Kabupaten Buton Tengah',
    'Kabupaten Buton Utara',
    'Kabupaten Kolaka',
    'Kabupaten Kolaka Timur',
    'Kabupaten Kolaka Utara',
    'Kabupaten Konawe',
    'Kabupaten Konawe Kepulauan',
    'Kabupaten Konawe Selatan',
    'Kabupaten Konawe Utara',
    'Kabupaten Muna',
    'Kabupaten Muna Barat',
    'Kabupaten Wakatobi',
    'Kota Baubau',
    'Kota Kendari'

    // 17
];

exports.seedSulawesiTenggaraCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Sulawesi Tenggara' },
    });

    if (!province) {
        console.error('❌ Province Sulawesi Tenggara not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Sulawesi Tenggara City seeded!.');
};